%define CUSTOM_RELEASE g2
%define RELEASE 1
%define rel %{?CUSTOM_RELEASE} %{!?CUSTOM_RELEASE:%RELEASE}

Name: nethack-gnome
Summary: The classic dungeon exploration game. Experimental gnome-interface.
Version: 3.3.1
Release: %rel
Copyright: Free Software (Nethack General Public License)
Group: Amusements/Games
URL: http://www.nethack.org/
Source: ftp://ftp.nethack.org/pub/nethack/nh331/src/nethack-331.tgz
Packager: Bernhard Reiter <bernhard@intevation.de>
Patch0: nethack-3.3.1-linux.patch
Patch1: nethack-3.3.1-gnome.patch
BuildRoot: /var/tmp/%{name}-buildroot

%description
NetHack is a display oriented dungeon exploration game. The
standard tty display and command structure resemble rogue.

This RPM is build with TTY display and experimental GNOME display support.
You have to adjust your NETHACKOPTIONS file (e.g. .nethackrc accordingly).

%prep
%setup -q -n nethack-3.3.1
%patch -p1
%patch -P 1 -p1
(cd sys/unix && /bin/sh ./setup.sh)
mv src/Makefile src/Makefile.org
cat src/Makefile.org | \
  sed \
    -e "s%^#GNOMECFLAGS.*%GNOMECFLAGS= `gnome-config --cflags gnomeui gtk`%" \
    -e "s%^#GNOMELFLAGS.*%GNOMELFLAGS= `gnome-config --libs-only-L gnomeui`%" \
    -e "s%^#GNOMELIBS.*%GNOMELIBS= `gnome-config --libs-only-l gnomeui`%" \
  > src/Makefile

%build
touch util/makedefs.c
make -C src
make all
make recover -C util

%install
rm -rf $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT/usr install
install -s -m 755 util/recover $RPM_BUILD_ROOT/usr/games/lib/nethackdir
install  -d $RPM_BUILD_ROOT/usr/man/man6
install  --group=man --mode=644 doc/nethack.6 $RPM_BUILD_ROOT/usr/man/man6
# we only need setgid ...
chmod u-s,g+s $RPM_BUILD_ROOT/usr/games/lib/nethackdir/nethack
# ... and we only have setgid
chmod g+w $RPM_BUILD_ROOT/usr/games/lib/nethackdir
chmod g+w $RPM_BUILD_ROOT/usr/games/lib/nethackdir/save
chmod g+w $RPM_BUILD_ROOT/usr/games/lib/nethackdir/record
chmod g+w $RPM_BUILD_ROOT/usr/games/lib/nethackdir/logfile


%clean
rm -rf %RPM_BUILD_ROOT

%pre
echo Adding group nethack.
groupadd -f nethack

%post
echo Note that nethack and its gnome interface is not designed for security.
echo There is a known way to get access to the nethack group priviledges.
echo So you have to make sure the group is only used for nethack.

%postun
echo Consider if you still need the nethack group and the saved
echo files in the libdir. Usually cou can remove this all.

%files
%doc Files Porting README doc/*.txt doc/*.doc
%doc /usr/man/man6/nethack.6.gz
%defattr(-,games,nethack)
/usr/bin/nethack
/usr/games/lib/nethackdir

%changelog
* Wed Apr 3 2002 Bernhard Reiter <bernhard@intevation.de>
- Other fix for the setguid_check() gtk+ problem.

* Thu Nov 22 2001 Bernhard Reiter <bernhard@intevation.de>
- enabled the gnome experimental GUI display, tty is also enabled
- made Copyright info more precise
- installed nethack manpage

* Thu Oct 12 2000 Zack Hobson <zack@malfunktion.net>
- initial attempt at building an RPM
